Create a new credential
curl --request POST \
--url https://api.example.com/credential/ \
--header 'Content-Type: application/json' \
--header 'x-user-id: <x-user-id>' \
--data '{
"data": {}
}'import requests
url = "https://api.example.com/credential/"
payload = { "data": {} }
headers = {
"x-user-id": "<x-user-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-user-id': '<x-user-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {}})
};
fetch('https://api.example.com/credential/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credential_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}credential
Create a new credential
Store a new credential.
Args:
body (CreateCredentialRequest): Credential payload to store.
user_id (str): Injected authenticated user ID.
storage (StorageBase): Injected storage backend.
Returns:
CreateCredentialResponse: The server-assigned credential identifier.
POST
/
credential
/
Create a new credential
Headers
Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.
Body
application/json
Request body for creating a new credential.
Credential payload (e.g. API keys).
Response
Successful Response
Response body after creating a credential.
Server-assigned credential identifier.
⌘I